ASpellDict Class Reference

`#include <kspell_aspelldict.h>`

Inheritance diagram for ASpellDict:

## Public Member Functions

| ASpellDict (const QString &lang)
virtual bool | check (const QString &word)
virtual QStringList | suggest (const QString &word)
virtual bool | checkAndSuggest (const QString &word, QStringList &suggestions)
virtual bool | storeReplacement (const QString &bad, const QString &good)
virtual bool | addToPersonal (const QString &word)
virtual bool | addToSession (const QString &word)
Public Member Functions inherited from KSpell2::Dictionary
QString | language () const
bool | isDefault () const

## Additional Inherited Members

Protected Member Functions inherited from KSpell2::Dictionary
| Dictionary (const QString &lang, bool def=false)
Protected Attributes inherited from KSpell2::Dictionary
QString | m_language
bool | m_default

## Detailed Description

kspell_aspelldict.h

Copyright (C) 2003 Zack Rusin zack@.nosp@m.kde..nosp@m.org

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

Definition at line 28 of file kspell_aspelldict.h.

## Member Function Documentation

bool ASpellDict::addToPersonal | ( | const QString & | word | ) |

virtual

Adds word to the list of of personal words.

Returns
  true on success

Implements KSpell2::Dictionary.

Definition at line 106 of file kspell_aspelldict.cpp.

bool ASpellDict::addToSession | ( | const QString & | word | ) |

virtual

Adds word to the words recognizable in the current session.

Returns
  true on success

Implements KSpell2::Dictionary.

Definition at line 119 of file kspell_aspelldict.cpp.

bool ASpellDict::check | ( | const QString & | word | ) |

virtual

Checks the given word.

Returns
  false if the word is misspelled. true otherwise

Implements KSpell2::Dictionary.

Definition at line 53 of file kspell_aspelldict.cpp.

bool ASpellDict::checkAndSuggest | ( | const QString & | word,
|  | QStringList & | suggestions
| ) |  |

virtual

Checks the word and fetches suggestions for it.

Implements KSpell2::Dictionary.

Definition at line 87 of file kspell_aspelldict.cpp.

bool ASpellDict::storeReplacement | ( | const QString & | bad,
|  | const QString & | good
| ) |  |

virtual

Stores user defined good replacement for the bad word.

Returns
  true on success

Implements KSpell2::Dictionary.

Definition at line 96 of file kspell_aspelldict.cpp.

QStringList ASpellDict::suggest | ( | const QString & | word | ) |

virtual

Fetches suggestions for the word.

Returns
  list of all suggestions for the word

Implements KSpell2::Dictionary.

Definition at line 61 of file kspell_aspelldict.cpp.

The documentation for this class was generated from the following files:

- kspell_aspelldict.h
- kspell_aspelldict.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys